<?php

// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Web service local plugin template external functions and service definitions.
 *
 * @package    mod_timetable
 * @copyright  2020 Raphael Dannecker <raphael.dannecker@steinbeisschule-reutlingen.de>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

// We defined the web service functions to install.
$functions = array(
        'mod_timetable_search' => array(
                'classname'   => 'mod_timetable_external',
                'methodname'  => 'search',
                'classpath'   => 'mod/timetable/externallib.php',
                'description' => 'Return search result of timetable search',
                'type'        => 'read',
                'ajax'        =>  true,
                'capabilities' => array(),   // capabilities required by the function.
        ),
        'mod_timetable_get' => array(
                'classname'   => 'mod_timetable_external',
                'methodname'  => 'get',
                'classpath'   => 'mod/timetable/externallib.php',
                'description' => 'Return timetable data',
                'type'        => 'read',
                'ajax'        =>  true,
                'capabilities' => array(),   // capabilities required by the function.
        ),
        'mod_timetable_update' => array(
                'classname'   => 'mod_timetable_external',
                'methodname'  => 'update',
                'classpath'   => 'mod/timetable/externallib.php',
                'description' => 'update timetable data',
                'type'        => 'write',
                'ajax'        =>  false,
                'capabilities' => array(),   // capabilities required by the function.
        )
);

// We define the services to install as pre-build services. A pre-build service is not editable by administrator.
$services = array(
        'My service' => array(
                'functions' => array ('mod_timetable_search','mod_timetable_get'),
                'restrictedusers' => 0,
                'enabled'=>1,
        )
);
